<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>EventPerfLogDeactivateClass</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="EventPerfLogDeactivateClass"><H1>EventPerfLogDeactivateClass</H1></A>
Deactivates event logging for a PETSc object class. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"   
PetscErrorCode EventPerfLogDeactivateClass(EventPerfLog eventLog, EventRegLog eventRegLog, PetscCookie cookie) 
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>eventLog    </B></TD><TD>- The EventPerfLog
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>eventRegLog </B></TD><TD>- The EventRegLog
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>cookie </B></TD><TD>- The class id, for example MAT_COOKIE, SNES_COOKIE,
</TD></TR></TABLE>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Profiling/EventPerfLogDeactivateClass.html#EventPerfLogDeactivateClass">EventPerfLogDeactivateClass</A>(), <A HREF="../Profiling/EventPerfLogDeactivate.html#EventPerfLogDeactivate">EventPerfLogDeactivate</A>(), <A HREF="../Profiling/EventPerfLogActivate.html#EventPerfLogActivate">EventPerfLogActivate</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/plog/eventLog.c.html#EventPerfLogDeactivateClass">src/sys/plog/eventLog.c</A>
<BR><A HREF="./index.html">Index of all Profiling routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
